classification
Title: Typos in whatsnew file and docs
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, gurupad93, terry.reedy, xtreak
Priority: normal Keywords: easy, newcomer friendly, patch

Created on 2019-12-26 08:20 by xtreak, last changed 2019-12-29 06:41 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17720 merged python-dev, 2019-12-27 21:56
PR 17731 merged terry.reedy, 2019-12-28 23:25
PR 17732 merged terry.reedy, 2019-12-29 00:28
Messages (6)
msg358882 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-12-26 08:20
Based on https://github.com/python/cpython/pull/17665#pullrequestreview-335610849 . Grepping for the words might help fix in multiple instances of the typos.

Typos in Whatsnew document

asolute -> absolute
happend -> happened
Excape -> Escape

Doc typos : 

defintitions -> definitions
follwing -> following
necesarily -> necessarily
configuraton -> configuration
focusses -> focuses
funtion -> function
msg358928 - (view) Author: Gurupad Hegde (gurupad93) * Date: 2019-12-28 03:46
Hi, I am a new contributor here. Have created the below pull request.
https://github.com/python/cpython/pull/17720 

Please let me know if i have to do anything else from my end.
msg358970 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-12-28 22:16
New changeset 6c7bb38ff2799ac218e6df598b2b262f89e2bc1e by Terry Jan Reedy (Gurupad Hegde) in branch 'master':
bpo-39136: Fixed typos (GH-17720)
https://github.com/python/cpython/commit/6c7bb38ff2799ac218e6df598b2b262f89e2bc1e
msg358974 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-12-29 00:05
New changeset df647f3340d7a40628ba731f80425cb469e72653 by Terry Jan Reedy in branch '3.8':
[3.8] bpo-39136: Fixed typos (GH-17720)
https://github.com/python/cpython/commit/df647f3340d7a40628ba731f80425cb469e72653
msg358983 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-12-29 06:41
New changeset d7947280a4ba9dc652c3fac22946466338ec6999 by Terry Jan Reedy in branch '3.7':
[3.7] bpo-39136: Fixed typos (GH-17720)
https://github.com/python/cpython/commit/d7947280a4ba9dc652c3fac22946466338ec6999
msg358984 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-12-29 06:41
Thanks for the report and patch.
History
Date User Action Args
2019-12-29 06:41:58terry.reedysetstatus: open -> closed
versions: + Python 3.8
messages: + msg358984

resolution: fixed
stage: patch review -> resolved
2019-12-29 06:41:13terry.reedysetmessages: + msg358983
2019-12-29 00:28:46terry.reedysetpull_requests: + pull_request17177
2019-12-29 00:05:21terry.reedysetmessages: + msg358974
2019-12-28 23:25:03terry.reedysetpull_requests: + pull_request17176
2019-12-28 22:16:08terry.reedysetnosy: + terry.reedy
messages: + msg358970
2019-12-28 03:46:57gurupad93setnosy: + gurupad93
messages: + msg358928
2019-12-27 21:56:21python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request17164
2019-12-26 08:20:03xtreakcreate